#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "oxl_src/oxl.h"

#define XSIZE 320
#define YSIZE 200

void drawfx(char*d,int t)
{
	int dx=sin(t*2*3.1415926/256)*128;
	int dy=cos(t*2*3.1415926/256)*128;
	int y=oxl_height,aa=-dy*oxl_height/2-dx*oxl_width/2+sin(t*0.01)*oxl_width*128;
	for(;y;y--){
		int a=aa,x=oxl_width;
		for(;x;x--){*d++=(a>>8);a+=dx;}
		aa+=dy;
	}
}

void main(int argc,char**argv)
{
	char*buf;

	oxl_init(&argc,argv);
	oxl_video(XSIZE,YSIZE,8);
	buf=oxl_video(oxl_width,oxl_height,8);
	oxl_setpalette(NULL,256);

	oxl_timer(100); /* the first call sets the freq */
	while(!oxl_testquit())
	{
		drawfx(buf,oxl_timer(0));
		oxl_blit(NULL);
	}
	oxl_close();
}
